import { UiComponent } from "../UiComponent";
export declare class ContextMenu {
    private width;
    private height;
    private viewPortPadding;
    private content;
    private $main;
    private currentRequestId;
    private lastMouseEvent;
    private isOpen;
    constructor();
    setContent(content: UiComponent, requestId?: number): void;
    open(e: PointerEvent | MouseEvent, contextMenuRequestCallback: (requestId: number) => any): void;
    private updatePosition;
    close(requestId?: number): void;
    setSize(width: number, height: number): void;
    private updateSize;
}
